# MoveAuthError

{% hint style="danger" %}
**Deprecated:** update(auth:) was deprecated.
{% endhint %}

Represents the potential errors occurring when updating the [MoveAuth](/move-platform/sdk/models/moveauth.md).

{% tabs %}
{% tab title="Android" %}

```kotlin
sealed class MoveAuthError {
    object AuthInvalid : MoveAuthError()
    object Throttle : MoveAuthError()
    object ServiceUnreachable : MoveAuthError()
}
```

{% endtab %}

{% tab title="iOS" %}

```swift
@available(*, deprecated, message: "update(auth:) was deprecated.")
enum MoveAuthError {  
    case authInvalid 
    case throttle
    case serviceUnreachable
}
```

{% endtab %}

{% tab title="Flutter" %}

```dart
import 'package:movesdk/io/dolphin/move/move_auth_error.dart';
```

```dart
@Deprecated('obsolete')
enum MoveAuthError {
    authInvalid,
    throttle,
    serviceUnreachable,
}
```

{% endtab %}
{% endtabs %}

| **MoveAuthError**  |                                                               |
| ------------------ | ------------------------------------------------------------- |
| authInvalid        | Indicates that the passed auth is not the same used in setup. |
| throttle           | Update called too often. Limit: 5 times per minute.           |
| serviceUnreachable | Bad connection or service failure                             |

| **MoveAuthError related** |                                                                                     |
| ------------------------- | ----------------------------------------------------------------------------------- |
| Update Auth               | For more info about updating the [MoveAuth](/move-platform/sdk/models/moveauth.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/models/moveautherror.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
